Uploaded image for project: 'Hadoop Common'
  1. Hadoop Common
  2. HADOOP-7264

Bump avro version to at least 1.4.1

VotersWatch issueWatchersCreate sub-taskLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

Details

    • Improvement
    • Status: Closed
    • Major
    • Resolution: Fixed
    • 0.21.0
    • 0.23.0
    • io
    • Incompatible change, Reviewed
    • avro version

    Description

      Needed by mapreduce 2.0 avro support. Maybe we could jump to Avro 1.5. There is incompatible API changes from 1.3x to 1.4x (Utf8 to CharSequence in user facing APIs) not sure about 1.5x though.

      Attachments

        1. hadoop-7264-mr2-v1.patch
          9 kB
          Luke Lu
        2. hadoop-7264-v1.patch
          30 kB
          Luke Lu
        3. HADOOP-7264v2.patch
          12 kB
          Alejandro Abdelnur
        4. HADOOP-7264v3.patch
          11 kB
          Alejandro Abdelnur
        5. HADOOP-7264v4.patch
          11 kB
          Alejandro Abdelnur
        6. HADOOP-7264v5.patch
          37 kB
          Alejandro Abdelnur
        7. HADOOP-7264v6.patch
          16 kB
          Alejandro Abdelnur

        Issue Links

        Activity

          This comment will be Viewable by All Users Viewable by All Users
          Cancel

          People

            vicaya Luke Lu
            vicaya Luke Lu
            Votes:
            0 Vote for this issue
            Watchers:
            8 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Slack

                Issue deployment